OpenVDB: AXSTYPE Union Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
AXSTYPE Union Reference

`#include <openvdb_ax/grammar/generated/axparser.h>`

## Public Types
using | ExpList = std::vector<openvdb::ax::ast::Expression*>
| Temporary storage for comma separated expressions.

## Public Attributes
const char * | string
uint64_t | index
double | flt
openvdb::ax::ast::Tree * | tree
openvdb::ax::ast::ValueBase * | value
openvdb::ax::ast::Statement * | statement
openvdb::ax::ast::StatementList * | statementlist
openvdb::ax::ast::Block * | block
openvdb::ax::ast::Expression * | expression
openvdb::ax::ast::FunctionCall * | function
openvdb::ax::ast::ArrayPack * | arraypack
openvdb::ax::ast::CommaOperator * | comma
openvdb::ax::ast::Variable * | variable
openvdb::ax::ast::ExternalVariable * | external
openvdb::ax::ast::Attribute * | attribute
openvdb::ax::ast::DeclareLocal * | declare_local
openvdb::ax::ast::Local * | local
ExpList * | explist

## Member Typedef Documentation

## ◆ ExpList

using ExpList = std::vector<openvdb::ax::ast::Expression*>

Temporary storage for comma separated expressions.

## Member Data Documentation

## ◆ arraypack

openvdb::ax::ast::ArrayPack* arraypack

## ◆ attribute

openvdb::ax::ast::Attribute* attribute

## ◆ block

openvdb::ax::ast::Block* block

## ◆ comma

openvdb::ax::ast::CommaOperator* comma

## ◆ declare_local

openvdb::ax::ast::DeclareLocal* declare_local

## ◆ explist

ExpList* explist

## ◆ expression

openvdb::ax::ast::Expression* expression

## ◆ external

openvdb::ax::ast::ExternalVariable* external

## ◆ flt

double flt

## ◆ function

openvdb::ax::ast::FunctionCall* function

## ◆ index

uint64_t index

## ◆ local

openvdb::ax::ast::Local* local

## ◆ statement

openvdb::ax::ast::Statement* statement

## ◆ statementlist

openvdb::ax::ast::StatementList* statementlist

## ◆ string

const char* string

## ◆ tree

openvdb::ax::ast::Tree* tree

## ◆ value

openvdb::ax::ast::ValueBase* value

## ◆ variable

openvdb::ax::ast::Variable* variable